[arch-commits] Commit in python-matplotlib/repos/community-x86_64 (4 files)

Felix Yan felixonmars at archlinux.org
Fri Mar 1 10:00:43 UTC 2019


    Date: Friday, March 1, 2019 @ 10:00:43
  Author: felixonmars
Revision: 437187

archrelease: copy trunk to community-x86_64

Added:
  python-matplotlib/repos/community-x86_64/PKGBUILD
    (from rev 437186, python-matplotlib/trunk/PKGBUILD)
  python-matplotlib/repos/community-x86_64/setup.cfg
    (from rev 437186, python-matplotlib/trunk/setup.cfg)
Deleted:
  python-matplotlib/repos/community-x86_64/PKGBUILD
  python-matplotlib/repos/community-x86_64/setup.cfg

-----------+
 PKGBUILD  |  128 ++++++++++++++++++++++++++++++------------------------------
 setup.cfg |    6 +-
 2 files changed, 67 insertions(+), 67 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-01 09:58:32 UTC (rev 437186)
+++ PKGBUILD	2019-03-01 10:00:43 UTC (rev 437187)
@@ -1,64 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
-# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
-# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
-# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
-
-pkgname=python-matplotlib
-pkgver=3.0.3
-pkgrel=1
-pkgdesc="A python plotting library, making publication quality plots"
-arch=('x86_64')
-url="https://matplotlib.org"
-license=('custom')
-depends=('freetype2' 'libpng' 'python-numpy' 'python-cycler' 'python-dateutil' 'python-kiwisolver' 'python-pyparsing')
-optdepends=('tk: Tk{Agg,Cairo} backends'
-            'python-pyqt5: Qt5{Agg,Cairo} backends'
-            'python-gobject: for GTK3{Agg,Cairo} backend'
-            'python-wxpython: WX{,Agg,Cairo} backend'
-            'python-cairo: {GTK3,Qt5,Tk,WX}Cairo backends'
-            'python-cairocffi: alternative for Cairo backends'
-            'python-tornado: WebAgg backend'
-            'ffmpeg: for saving movies'
-            'imagemagick: for saving animated gifs'
-            'python-pillow: for reading/saving jpeg/bmp/tiff files'
-            'ghostscript: usetex dependencies'
-            'texlive-bin: usetex dependencies')
-makedepends=('git' 'rsync' 'python-setuptools'
-             'tk' 'python-pyqt5' 'python-gobject'
-             'python-wxpython' 'python-cairocffi' 'python-tornado'
-             'python-pillow' 'ghostscript' 'texlive-bin')
-             # 'qhull' missing pkg-config file
-             # 'agg' missing some non-upstreamed patches?
-checkdepends=('python-pytest-xdist' 'python-pytest-runner' 'xorg-server-xvfb'
-              'texlive-core' 'texlive-latexextra' 'inkscape' 'mencoder'
-              'ffmpeg' 'imagemagick' 'ttf-freefont' 'python-pandas')
-source=($pkgname-$pkgver.tar.gz::"https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
-        setup.cfg)
-sha512sums=('9fe00b8d0ca6dcf2f1b907118b656353e115b73f8b21adeb4391c87e164c111a4994c3ac17cdd02e75b896d9aa26c279618132f9a7bfe995c0f7c62356ed85ad'
-            'f08c0b2e94599fdf2b736b8a655d862209934441d90f20ed872cfc128b8d2a6525763ab7cf64f2b3630e22a90798f4c52aa93b18087e9b48708d9bae34aada0b')
-
-prepare() {
-  cp -a matplotlib-$pkgver{,-test}
-
-  # Configure tests (FS#48175)
-  cp setup.cfg matplotlib-$pkgver-test/
-}
-
-build() {
-  cd matplotlib-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd matplotlib-$pkgver-test
-  xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
-    python setup.py pytest --addopts="-n auto" || warning "Tests failed" # Different font rendering details
-}
-
-package_python-matplotlib() {
-  cd matplotlib-$pkgver
-  python setup.py install --root "$pkgdir" --prefix=/usr --optimize=1 --skip-build
-  install -Dm644 doc/users/license.rst -t "$pkgdir"/usr/share/licenses/${pkgname}/
-}

Copied: python-matplotlib/repos/community-x86_64/PKGBUILD (from rev 437186, python-matplotlib/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-03-01 10:00:43 UTC (rev 437187)
@@ -0,0 +1,64 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Contributor: Stéphane Gaudreault <stephane at archlinux.org>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+# Contributor: Angel 'angvp' Velasquez <angvp[at]archlinux.com.ve>
+# Contributor: Douglas Soares de Andrade <dsa at aur.archlinux.org>
+
+pkgname=python-matplotlib
+pkgver=3.0.3
+pkgrel=1
+pkgdesc="A python plotting library, making publication quality plots"
+arch=('x86_64')
+url="https://matplotlib.org"
+license=('custom')
+depends=('freetype2' 'libpng' 'python-numpy' 'python-cycler' 'python-dateutil' 'python-kiwisolver' 'python-pyparsing')
+optdepends=('tk: Tk{Agg,Cairo} backends'
+            'python-pyqt5: Qt5{Agg,Cairo} backends'
+            'python-gobject: for GTK3{Agg,Cairo} backend'
+            'python-wxpython: WX{,Agg,Cairo} backend'
+            'python-cairo: {GTK3,Qt5,Tk,WX}Cairo backends'
+            'python-cairocffi: alternative for Cairo backends'
+            'python-tornado: WebAgg backend'
+            'ffmpeg: for saving movies'
+            'imagemagick: for saving animated gifs'
+            'python-pillow: for reading/saving jpeg/bmp/tiff files'
+            'ghostscript: usetex dependencies'
+            'texlive-bin: usetex dependencies')
+makedepends=('git' 'rsync' 'python-setuptools'
+             'tk' 'python-pyqt5' 'python-gobject'
+             'python-wxpython' 'python-cairocffi' 'python-tornado'
+             'python-pillow' 'ghostscript' 'texlive-bin')
+             # 'qhull' missing pkg-config file
+             # 'agg' missing some non-upstreamed patches?
+checkdepends=('python-pytest-xdist' 'python-pytest-runner' 'xorg-server-xvfb'
+              'texlive-core' 'texlive-latexextra' 'inkscape' 'mencoder'
+              'ffmpeg' 'imagemagick' 'ttf-freefont' 'python-pandas')
+source=($pkgname-$pkgver.tar.gz::"https://github.com/matplotlib/matplotlib/archive/v$pkgver.tar.gz"
+        setup.cfg)
+sha512sums=('9fe00b8d0ca6dcf2f1b907118b656353e115b73f8b21adeb4391c87e164c111a4994c3ac17cdd02e75b896d9aa26c279618132f9a7bfe995c0f7c62356ed85ad'
+            'f08c0b2e94599fdf2b736b8a655d862209934441d90f20ed872cfc128b8d2a6525763ab7cf64f2b3630e22a90798f4c52aa93b18087e9b48708d9bae34aada0b')
+
+prepare() {
+  cp -a matplotlib-$pkgver{,-test}
+
+  # Configure tests (FS#48175)
+  cp setup.cfg matplotlib-$pkgver-test/
+}
+
+build() {
+  cd matplotlib-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd matplotlib-$pkgver-test
+  xvfb-run -a -s "+extension GLX +extension RANDR +render -screen 0 1280x1024x24" \
+    python setup.py pytest --addopts="-n auto" || warning "Tests failed" # Different font rendering details
+}
+
+package_python-matplotlib() {
+  cd matplotlib-$pkgver
+  python setup.py install --root "$pkgdir" --prefix=/usr --optimize=1 --skip-build
+  install -Dm644 doc/users/license.rst -t "$pkgdir"/usr/share/licenses/${pkgname}/
+}

Deleted: setup.cfg
===================================================================
--- setup.cfg	2019-03-01 09:58:32 UTC (rev 437186)
+++ setup.cfg	2019-03-01 10:00:43 UTC (rev 437187)
@@ -1,3 +0,0 @@
-[packages]
-tests = True
-toolkits_tests = True

Copied: python-matplotlib/repos/community-x86_64/setup.cfg (from rev 437186, python-matplotlib/trunk/setup.cfg)
===================================================================
--- setup.cfg	                        (rev 0)
+++ setup.cfg	2019-03-01 10:00:43 UTC (rev 437187)
@@ -0,0 +1,3 @@
+[packages]
+tests = True
+toolkits_tests = True


More information about the arch-commits mailing list